<template name="frameWeekPage">
  {{> accountTasks}}
  {{#if control}}
    {{> calendarNavWeek calendarNavAttr }}
  {{/if}}
  <div class="py-4">
    {{#each weekday in weekdays}}
      <div class="frame-week-date">
        {{calendarDayFormat weekday.date}}
      </div>
      <div class="frame-week-date-events">
        {{#if Template.subscriptionsReady}}
          {{#if hasDayEvents weekday}}
            {{> eventList dataEvents=weekday.dayEvents withDate=false withImage=true openInNewTab=true}}
          {{else}}
            <div class="text-center">
              {{i18n 'frameCalendar.nothingOnThisDay' "Relax, nothing happening today."}}
            </div>
          {{/if}}
        {{else}}
          {{> loadingRow}}
        {{/if}}
      </div>
    {{/each}}
  </div>
</template>
